低危 redhat 389_directory_server 信息暴露

CVE编号

CVE-2020-35518

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-03-27
漏洞描述
When binding against a DN during authentication, the reply from 389-ds-base will be different whether the DN exists or not. This can be used by an unauthenticated attacker to check the existence of an entry in the LDAP database.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat directory_server 11.0 -
运行在以下环境
系统 alibaba_cloud_linux_2.1903 389-ds-base * Up to
(excluding)
1.3.10.2-12.1.al7
运行在以下环境
系统 amazon_2 389-ds-base * Up to
(excluding)
1.3.10.2-12.amzn2.0.1
运行在以下环境
系统 centos_7 389-ds-base * Up to
(excluding)
1.3.10.2-12.el7_9
运行在以下环境
系统 centos_8 389-ds-base * Up to
(excluding)
1.4.3.8-7.module+el8.3.0+10310+6e88d919
运行在以下环境
系统 fedora_32 389-ds * Up to
(excluding)
1.4.3.19-1.fc32
运行在以下环境
系统 fedora_32 389-ds-devel * Up to
(excluding)
1.4.3.19-1.fc32
运行在以下环境
系统 fedora_32 389-ds-snmp * Up to
(excluding)
1.4.3.19-1.fc32
运行在以下环境
系统 fedora_32 lib389 * Up to
(excluding)
1.4.3.19-1.fc32
运行在以下环境
系统 fedora_32 libsvrcore0 * Up to
(excluding)
1.4.3.19-1.fc32
运行在以下环境
系统 fedora_33 389-ds * Up to
(excluding)
1.4.4.13-2.fc33
运行在以下环境
系统 fedora_33 389-ds-devel * Up to
(excluding)
1.4.4.13-2.fc33
运行在以下环境
系统 fedora_33 389-ds-snmp * Up to
(excluding)
1.4.4.13-2.fc33
运行在以下环境
系统 fedora_33 lib389 * Up to
(excluding)
1.4.4.13-2.fc33
运行在以下环境
系统 fedora_33 libsvrcore0 * Up to
(excluding)
1.4.4.13-2.fc33
运行在以下环境
系统 fedora_34 389-ds * Up to
(excluding)
2.0.3-3.fc34
运行在以下环境
系统 fedora_34 389-ds-devel * Up to
(excluding)
2.0.3-3.fc34
运行在以下环境
系统 fedora_34 389-ds-snmp * Up to
(excluding)
2.0.3-3.fc34
运行在以下环境
系统 fedora_34 lib389 * Up to
(excluding)
2.0.3-3.fc34
运行在以下环境
系统 fedora_34 libsvrcore0 * Up to
(excluding)
2.0.3-3.fc34
运行在以下环境
系统 opensuse_Leap_15.2 389-ds * Up to
(excluding)
1.4.3.19
运行在以下环境
系统 opensuse_Leap_15.2 389-ds-devel * Up to
(excluding)
1.4.3.19
运行在以下环境
系统 opensuse_Leap_15.2 389-ds-snmp * Up to
(excluding)
1.4.3.19
运行在以下环境
系统 opensuse_Leap_15.2 lib389 * Up to
(excluding)
1.4.3.19
运行在以下环境
系统 opensuse_Leap_15.2 libsvrcore0 * Up to
(excluding)
1.4.3.19
运行在以下环境
系统 oracle linux_8 389-ds * Up to
(excluding)
1.4.3.8-7.module+el8.3.0+20006+53cafd96
运行在以下环境
系统 oracle linux_8 389-ds-devel * Up to
(excluding)
1.4.3.8-7.module+el8.3.0+20006+53cafd96
运行在以下环境
系统 oracle linux_8 389-ds-snmp * Up to
(excluding)
1.4.3.8-7.module+el8.3.0+20006+53cafd96
运行在以下环境
系统 oracle linux_8 lib389 * Up to
(excluding)
1.4.3.8-7.module+el8.3.0+20006+53cafd96
运行在以下环境
系统 oracle linux_8 libsvrcore0 * Up to
(excluding)
1.4.3.8-7.module+el8.3.0+20006+53cafd96
运行在以下环境
系统 oracle_7 389-ds-base * Up to
(excluding)
1.3.10.2-12.el7_9
运行在以下环境
系统 oracle_8 389-ds-base * Up to
(excluding)
1.4.3.8-7.module+el8.3.0+20006+53cafd96
运行在以下环境
系统 redhat 389_directory_server * Up to
(excluding)
1.4.3.19
运行在以下环境
系统 redhat 389_directory_server * From
(including)
1.4.4.0
Up to
(excluding)
1.4.4.13
运行在以下环境
系统 redhat 389_directory_server * From
(including)
2.0.0
Up to
(excluding)
2.0.3
运行在以下环境
系统 redhat enterprise_linux 7.0 -
运行在以下环境
系统 redhat enterprise_linux 8.0 -
运行在以下环境
系统 redhat_8 389-ds-base * Up to
(excluding)
1.4.3.8-7.module+el8.3.0+10310+6e88d919
阿里云评分
3.4
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-200 信息暴露
阿里云安全产品覆盖情况